/*
 * Motoren
 */

#ifndef MOTOR_h
#define MOTOR_h

#include <Arduino.h>

#define STEPPERMOTOROFF 0xffff


class Motor
{
  private:
    char  motorAchse = '?';
    byte  pinMotorPower = 13;
    byte  pinMotorDirection = 13;
    byte  pinMotorSpeed = 13;
    char  motorTyp = '?';    // S=Schrittmotor, A=Analogmotor
    bool  motorDrehrichtungPinInvertieren = false;
    int           stepperDelay = 2;
    unsigned int  stepperClock = STEPPERMOTOROFF;

    void setMotorTyp();

  public:
    // properties
    bool motorDrehrichtung = true;
    bool motorOn = false;

    // methods
    Motor(char achse);
    void parseCommand(String cmd);
    void stepMotor();
    void looseConnection();

};


#endif
