
from logger import log
import subprocess
import mount
import time
from interface import InterfaceError


def main():
    if check_duplicate_ran():
        return

    # print("S T A R T   C L I P E U M - !! PLEASE WAIT !!")
    mnt = mount.Mount()

    try:
        while not mnt.exit_clipeum:
            time.sleep(0.5)

    except KeyboardInterrupt:
        pass

    except InterfaceError as e:
        log.error(e)
        print(e)

    except Exception as e:
        log.error(e)
        raise

    mnt.exit_clipeum = True
    mnt.close()


def check_duplicate_ran():
    ps = subprocess.check_output(['./check_duplicate_run.sh'])
    f = (int(ps) > 1)
    if f:
        print("Clipeum läuft bereits!")
    return f


if __name__ == '__main__':
    main()

    log.info('*** End Clipeum ***')
    log.info('\n\n')
