
from logger import log
import time
from interface import InterfaceError
import controlserver
import database
import configuration


class Init_MountDummy(object):
    def __init__(self):
        self.exit_clipeum = False

        self.db = database.Database()
        self.config = configuration.Configuration(self.db)

    def __del__(self):
        self.close()

    def close(self):
        self.config.close()
        self.db.close()



def main():

    mnt = Init_MountDummy()
    server = controlserver.Controlserver(mnt)

    time.sleep(2)
    print("")
    print("")
    print("INIT - CLIPEUM")
    print("beenden mit CTRL + c")

    try:
        while not mnt.exit_clipeum:
            time.sleep(0.5)

    except KeyboardInterrupt:
        pass
    except InterfaceError as e:
        log.error(e)
        pass
    except Exception as e:
        log.error(e)
        raise

    mnt.exit_clipeum = True
    mnt.close()


if __name__ == '__main__':
    main()

    log.info('*** End Clipeum ***')
